Subject: Re: bug#35166: 27.0.50; Buffer state inconsistent after vc-retrieve-tag

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 22 Jul 2021 16:25:54 +0200

Mauro Aranda <[email-masked]> writes:

> FWIW, I've been saving the readedness since I reported this bug by using
> before-revert-hook and after-revert-hook.
>
> I don't know if vc-retrieve-tag should save it, but I think leaving the
> buffer in this state (view-mode on and not read-only) should be avoided,
> if possible.

Nobody else had an opinion, so I've now made revert-buffer preserve
buffer-read-only on the trunk, and we'll see whether that messes up
anybody's work flow...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no